/**
 * Задача "Лотерея"
 * 1-я личная интернет-олимпиада сезона 2009-2010.
 * Автор задачи: Владимир Ульянцев, ulyantcev@rain.ifmo.ru
 * Автор решения: Ганеев Рустам, ganeev@rain.ifmo.ru
 *
 * Корректное решение
 */

#include <iostream>
#include <stdio.h>
#include <vector>
#include <map>
using namespace std;

int main (){
	freopen("lottery.in", "rt", stdin);
	freopen("lottery.out", "wt", stdout);
	map<int,int> mymap;
	map<int,int>::iterator it;
	int n, k;
	cin >> n >> k;
	for (int i = 0; i < n; i++){
		int tmp;
		cin >> tmp;
		mymap[tmp]++;
	}
	int a, b, ans = 0;
	cin >> a >> b;
	vector<int> sum(b - a + 1);
	for ( it=mymap.begin() ; it != mymap.end(); it++ ){
		for (int i = a % (*it).first == 0 ? a : (*it).first * (a / (*it).first + 1); i <= b; i+= (*it).first){
			sum[i - a]+= (*it).second;
		}
	}
	for (int i = 0; i < b - a + 1; i++){
		ans += (sum[i] == k) ? 1 : 0;
	}
	cout << ans;
	return 0;
}